
void swapBytes(void *outData, const void *inData, size_t nBytes, int nItems);
size_t fwriteRev(const void *ptr, size_t size, size_t nmemb, FILE *stream);
size_t freadRev(void *ptr, size_t size, size_t nmemb, FILE *stream);
int bmfWrite(char *fileName, int rows, int cols, double *rowHead,double *colHead, double *data, int isColMajor);
int bmfLoad(char *fileName, int *rowsPtr, int *colsPtr, double **dataPtr, int dataAsColMajor);
int bmfLoadWithHeaders(char *fileName, int *rowsPtr, int *colsPtr, double **rowHeadPtr, double **colHeadPtr, double **dataPtr);
